Create a Facebook ad integration for a account with page and ad account

http
POST https://services.leadconnectorhq.com/ad-publishing/facebook/integration

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier
pageIdstringYes123456789Facebook page ID
adAccountIdstringNoact_123456Ad account identifier

Responses

201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/integration' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_abc123",
  "pageId": "123456789",
  "adAccountId": "act_123456"
}'

Last updated October 26, 2026

Was this page helpful?